body {
  padding: 0;
  margin: 0;
  font-family: 'Montserrat', sans-serif;
  background: #eee;
  color: #3e3e3e;
}
h1, h2, h3 {
  padding: 0;
  margin: 0 0 10px 0;
  font-family: inherit;
  color: inherit;
}
a {
  color: #337ab7;
  text-decoration: none;
  line-height: 1.2;
}
label {
  margin-bottom: 5px;
  display: inline-block;
}
p {
  font-family: inherit;
  line-height: 1.7;
  margin-bottom: 20px;
}
* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.flex,
.register {
  min-height: 100vh;
  display: -webkit-box;      /* OLD - iOS 6-, Safari 3.1-6 */
  display: -moz-box;         /* OLD - Firefox 19- (buggy but mostly works) */
  display: -ms-flexbox;      /* TWEENER - IE 10 */
  display: -webkit-flex;     /* NEW - Chrome */
  display: flex;
  align-items: center;
  font-size: 14px;
}
.register-inner {
  max-width: 868px;
  width: 100%;
  margin: 0 auto;
  background: #fff;
  box-sizing: border-box;
  position: relative;
  overflow: hidden;
}
.half:before,
.half:after,
.box-register:before,
.box-register:after,
.register-inner:before,
.register-inner:after {
  display: table;
  content: " ";
}
.half:after,
.box-register:after,
.register-inner:after {
  clear: both;
}
.half {
  width: 50%;
  float: left;
  box-sizing: border-box;
  padding: 30px;
  height: 590px;
  position: relative;
  overflow: hidden;
}
.title {
  font-family: Montserrat;
  font-size: 36px;
  font-weight: bold;
  letter-spacing: 0.9px;
}
.form {
  margin-bottom: 15px;
  position: relative;
}
.form label {
  color: #cecece;
  font-family: Roboto;
  font-size: 12px;
  font-weight: normal;
  line-height: 1.75;
}
.form-field {
  padding: 15px 0 15px 40px;
  position: relative;
}
.form-field .error {
  display: none;
}
.form-field.error .error-msg {
  display: block;
}
.form-field-referal {
  background: #e1e1e1;
  border-radius: 4px;
  padding: 15px 0 15px 45px;
  margin: 10px 0 0 0;
}
.form-field-password input {
  padding-right: 30px;
}
.view-password {
  position: absolute;
  right: 0;
  bottom: 20px;
  cursor: pointer;
}
.form-field-icon {
  position: absolute;
  left: 0;
  bottom: 17px;
}
.form-field-referal label {
  color: #8e8e8e;
  margin-bottom: 0;
}
.form-field-referal .form-field-icon {
  left: 10px;
  bottom: 20px;
}
.form-field-referal .form-input {
  border: 0;
  background: transparent;
  line-height: 1.31;
}
.form-field-term {
  padding-left: 0;
}
.form-input {
  border: 0;
  border-bottom: 1px solid #e1e1e1;
  font-family: Roboto;
  font-size: 16px;
  font-weight: normal;
  letter-spacing: 0.4px;
  display: block;
  width: 100%;
  outline: 0;
}
.error .form-input {
  border-bottom: 1px solid red;
}
.form-input-single {
  margin: 15px 0;
}
.form-button {
  width: 100%;
  padding: 13px;
  line-height: 1.4;
  border-radius: 4px;
  background-color: #3b8ef3;
  border: 0;
  font-family: inherit;
  font-size: 16px;
  text-align: center;
  color: #ffffff;
  display: inline-block;
  vertical-align: middle;
  -ms-touch-action: manipulation;
  touch-action: manipulation;
  cursor: pointer;
  -o-transition:.5s;
  -ms-transition:.5s;
  -moz-transition:.5s;
  -webkit-transition:.5s;
  outline: none;
}
button:disabled,
button[disabled] {
  background: #c5c3c3 !important;
  cursor: not-allowed;
}
.form-button:hover {
  background: #307fda;
  color: #fff;
}
.have-model {
  background-image: url(../img/registenew.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}
.flex {
  min-height: 100%;
}
.flex > div {
  width: 100%;
}
.box-register,
.box-otp,
.box-congrate {
  position: absolute;
  top: 0;
  right: 0;
  background: #ffffff;
  height: 100%;
  width: 100%;
  padding: 30px;
  transition: all .3s ease-in-out;
  -o-transition: all .3s ease-in-out;
  -ms-transition: all .3s ease-in-out;
  -moz-transition: all .3s ease-in-out;
  -webkit-transition: all .3s ease-in-out;
}
.box-register.off,
.box-otp.off,
.box-congrate.off {
  right: -100%;
}

.box-otp .error-msg {
  top: -15px;
  text-align: center;
  width: 100%;
}
.text-center {
  text-align: center;
}
.error-msg {
  color: red;
  text-align: left;
  position: absolute;
  font-size: 9px;
  top: 65px;
}

.wrap-spinner {
  display: none;
  position: absolute;
  height: 100%;
  width: 100%;
  left: 0;
  top: 0;
  z-index: 9;
  padding-top: 25%;
  box-sizing: border-box;
}
.wrap-spinner.on {
  display: inline;
}
.spinner {
  width: 40px;
  height: 40px;
  margin: 100px auto;
  background-color: #398ff3;

  border-radius: 100%;
  -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
  animation: sk-scaleout 1.0s infinite ease-in-out;
}

@-webkit-keyframes sk-scaleout {
  0% { -webkit-transform: scale(0) }
  100% {
    -webkit-transform: scale(1.0);
    opacity: 0;
  }
}

@keyframes sk-scaleout {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
  } 100% {
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
    opacity: 0;
  }
}

@media(max-width:567px){
  .flex,
  .register {
    background: #fff;
  }
  .mobile-hide {
    display: none !important;
  }
  .title {
    font-size: 20px;
  }
  .half {
    width: 100%;
    height: auto;
  }
  .box-register,
  .box-otp,
  .box-congrate {
    position: relative;
    display: block;
    padding: 0;
  }
  .box-register.off,
  .box-otp.off,
  .box-congrate.off {
    display: none;
    right: 0;
  }
}
